This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 805320 - Comment out example.com examples in default krb5.conf
Comment out example.com examples in default krb5.conf
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: krb5 (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nalin Dahyabhai
Fedora Extras Quality Assurance
:
Depends On: 805318
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-20 17:12 EDT by Stef Walter
Modified: 2012-05-26 03:32 EDT (History)
2 users (show)

See Also:
Fixed In Version: krb5-1.10-6.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-26 03:32:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Comment out examples in default /etc/krb5.conf (1.04 KB, patch)
2012-03-20 17:12 EDT, Stef Walter
no flags Details | Diff

  None (edit)
Description Stef Walter 2012-03-20 17:12:20 EDT
Created attachment 571529 [details]
Comment out examples in default /etc/krb5.conf

MIT kerberos now works without configuration. The default configuration file should work out of the box.

The default krb5.conf sets default_realm to EXAMPLE.COM as an example which would need to be changed. It is not normally necessary for most kerberos clients to edit the krb5.conf file, so its better to comment these examples out. This prevents the confusion of trying to use EXAMPLE.COM as a default_realm.

If a user wishes to use them as a guideline, they are still available to be edited and uncommented.

Attaching a patch against git://pkgs.fedoraproject.org/krb5.git
Comment 1 Fedora Update System 2012-05-03 11:01:53 EDT
krb5-1.10-6.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/krb5-1.10-6.fc17
Comment 2 Fedora Update System 2012-05-03 23:09:54 EDT
Package krb5-1.10-6.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing krb5-1.10-6.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-7257/krb5-1.10-6.fc17
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2012-05-26 03:32:13 EDT
krb5-1.10-6.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.